using System.ComponentModel.DataAnnotations;

namespace Fast.Models
{
    public class LeaseListItem
    {
        [Key] //need to set primary key for OData
        public int LeaseId { get; set; }

        [Display(Name = "Name")] public string Name { get; set; } = "";
        [Display(Name = "Number")] public string Number { get; set; } = "";
        [Display(Name = "Lease Type")] public string LeaseType { get; set; } = "";
        [Display(Name = "Inactive Date")] public DateOnly? InactiveDate { get; set; }
    }
}
